clear all
close all


dt= 1;
 t = 0:dt:8000; %in seconds
 
 meanQ = 10;
 ampQ = 3;
 periodQ = 10*60; 
 
 
 Qin = meanQ + ampQ*sin(t*2*pi/(periodQ)); % in cubic meters per second
 
 r_b = 10; %in meters
 r_h = .5; %in meters
 g = 9.8; % in meters/sec2
 
 r_ratio = (r_h^2)/(r_b^2);
 
 rate_in_sin = Qin/(pi*r_b^2);
 rate_in = meanQ/(pi*r_b^2);
 
 H_save = zeros(length(t),1);
 Hsin_save = zeros(length(t),1);
 outsin_save = zeros(length(t),1);

 H = 0;
 H_sin = 0;

 for i = 1:length(t)
 
     
     
 rate_out_sin = sqrt(2*g*H_sin) *r_ratio;
 rate_out = sqrt(2*g*H) *r_ratio;   
  
 dhdt_sin = rate_in_sin(i) - rate_out_sin;
 
 dhdt = rate_in - rate_out;
 
 H = H + dhdt;
 H_sin = H_sin + dhdt_sin;    
 
 
 H_save(i) = H;
 Hsin_save(i) = H_sin;
 outsin_save(i) = rate_out_sin;

 end
 
 figure (1)
subplot (2,1,1)
line(t/3600, outsin_save,'Linewidth', 1.5,'Color', 'r')
hold on
line( t/3600, rate_in_sin,'Linewidth', 1.5, 'Color', 'k')
axis([0 2 0 .06])
  set(gca, 'FontSize', 18)
  xlabel('Time (hrs)')

  ylabel ('Discharge (m^3/sec)')
  set(gca, 'FontSize', 18)
 
 subplot(2,1,2)
  line(t/3600,Hsin_save,'Linewidth', 1.5)
   hold on
  line(t/3600,H_save,'Linewidth', 1, 'LineStyle', '--')
  set(gca, 'FontSize', 18)
  xlabel('Time (hrs)')
  axis([0 2 0 10])
  ylabel ('Height of water in the tank (m)')
  set(gca, 'FontSize', 18)
 
 
 
 
 
 