clear all
close all

%%%%%% Set up lake geometry %%%%%%%%
z_0 = 1000;
alpha = 4; % in degrees
A_b = 1000*1000^2; % ared of the basin in meters 

%%% Climate and basin infiltration %%%%%%
Precip = .001:.001:.4; %m/yr     modern = .1
mod_precip = .1;
% Precip = .1; %m/yr
Evap = 2.5; %m/yr       modern = 2.5
mod_evap = 2.5;
b = .5; %ratio

deltaZ_save = zeros(length(Evap));

%%%%%%%%% Steady State Calc %%%%%%%%%%%
% for i = 1:length(Evap)
   for j=1:length(Precip)

% z_L = sqrt((b.*Precip.*A_b)./(pi.*(b.*Precip-Precip+Evap)))...
%     * 1/(tand(90-alpha)) + z_0; %for the actual lake level

core  = (b.*Precip(j).*A_b)./(pi.*(b.*Precip(j)-Precip(j)+Evap));

if core <0
   core = 0;

end

deltaZ = sqrt(core)...
    * 1/(tand(90-alpha)); %for the lake thickness in the middle
   
    deltaZ_save(j) = deltaZ;
  
    
end

% Precip_plot  = zeros(length(Evap), length(Precip));
% Evap_plot  = zeros(length(Evap), length(Precip));
% for i = 1:length(Evap)
%     
% Evap_plot(i,:) = Evap(1,i).*ones(1,length(Evap));
% Precip_plot(i,:) = Precip; 
% 
% end

% figure (1)
% line(Evap/mod_evap,deltaZ_save+1000)

figure (1)
line(Precip/mod_precip,deltaZ_save+1000, 'LineWidth', 1.5)
hold on 
line(0:.01:1.93,1250)
hold on
line(1.93,1000:1:1250)
set(gca, 'FontSize', 18)
xlabel('Factor of precipitation change from modern')
ylabel('Lake elevation (m)')
set(gca, 'FontSize', 18)


% z_L_plot = deltaZ_save+z_0;
% plot_cont = 1050:50:1500;
% plot_level = 1250;
% 
% figure (1)
% [C,h] = contour ((Evap_plot)/mod_evap,(Precip_plot)./(mod_precip),z_L_plot,plot_cont);
% clabel(C,h);
% % xmax = 7;
% % xlim([0 xmax])
% % set(gca,'Xtick',0:.5:xmax,'Ytick',.5:.25:2)
% set(h,'LineWidth',1)
% colormap('Winter');
% xlabel('Fator of Evaporation chnage from modern')
% ylabel('Factor of precipitation Change from modern')
% title('Precip and Evap change from the modern and resulting lake elevations')
% hold on
% [C,h] = contour ((Evap_plot)/mod_evap,(Precip_plot)./(mod_precip),z_L_plot,plot_level);
% % xlim([0 xmax])
% set(h,'LineWidth',2,'Color','r')
% grid on
% hold on
% [C,h] = contour (deltaT_plot,(precip+deltaP_plot)./(precip), deltaL_save,-Lmax);
% xlim([0 xmax])
% set(h,'LineWidth',2,'Color','k')
% set(gca, 'FontSize', 18)
% title('Lake surface elevation as a funciton of precipitation')
% xlabel('Precipitation (m/yr)')
% %   axis([0 2 0 10])
% ylabel ('Lake surface elevation (m)')
% set(gca, 'FontSize', 18)