clear all 
close all

%%%%%% Set up lake geometry %%%%%%%%
z_0 = 1000;
alpha = 4; % in degrees
A_b = 1000*1000^2; % ared of the basin in meters 

%%% Climate and basin infiltration %%%%%%
Precip = .1; %m/yr     modern = .1
mod_precip = .1;
% Precip = .1; %m/yr
Evap = 2.5; %m/yr       modern = 2.5
mod_evap = 2.5;
b = .5; %ratio

% z_L = 0;
V =3*(1000^3);
H = (3*V/((tan(90-alpha)^2)*pi))^(1/3);
H_0 = (3*V/((tand(90-alpha)^2)*pi))^(1/3);
    
    r_L = ((H)*tand(90-alpha))^2;
    
    A_0 = pi*r_L/(1000^2);

    V_0 = 3;

t = 0:1:149;
dt = 1;
 r_L = ((H)*tand(90-alpha))^2;

V_save = zeros(length(1:length(t)),1);
H_save = zeros(length(1:length(t)),1);
A_save = zeros(length(1:length(t)),1);

for i= 1:dt:length(t)
    
   
    
    dvdt = b*(A_b - pi*r_L)*Precip + pi*r_L*Precip - pi*r_L *Evap;
    
    V = V + dvdt*dt;
    
    H = (3*V/((tand(90-alpha)^2)*pi))^(1/3);
    
    r_L = ((H)*tand(90-alpha))^2;
    
    A = pi*r_L;
    
   if rem(i,1)== 0 
   V_save(i) = V/(1000^3); 
   H_save(i) = H;
   A_save(i) = A/(1000^2);
   end
end

efold = 1/exp(1);



figure (1)
subplot(3,1,1)
plot(0:length(V_save)-1,V_save,'LineWidth',1.5)
hold on 
efold_V = (V_save(1) - min(V_save))*efold+min(V_save);
plot(0:.01:39.3,efold_V)
hold on 
plot(39.3, 0:.01:efold_V)
set(gca,'FontSize',14)
xlabel('time (yrs)')
ylabel('Volume (km^3)')
set(gca,'FontSize',14)
set(gca,'XTick',10:10:150)



subplot(3,1,2)
plot(0:length(A_save)-1,A_save,'LineWidth',1.5)
efold_A = (A_save(1) - min(A_save))*efold+min(A_save);
hold on 
plot(0:.01:41.5,efold_A)
hold on 
plot(41.5, 0:.01:efold_A)
set(gca,'FontSize',14)
xlabel('time (yrs)')
ylabel('Area (km^2)')
set(gca,'FontSize',14)
set(gca,'XTick',10:10:150)

subplot(3,1,3)
plot(0:length(H_save)-1,H_save,'LineWidth',1.5)
efold_H = (H_save(1) - min(H_save))*efold+min(H_save);
hold on 
plot(0:.01:44,efold_H)
hold on 
plot(44, 0:.01:efold_H)
set(gca,'FontSize',14)
xlabel('time (yrs)')
ylabel('Middle of the lake thickness (m)')
set(gca,'FontSize',14)
set(gca,'XTick',10:10:150)
    