clear all 
close all

%%%%%% Set up lake geometry %%%%%%%%

alpha = 4; % in degrees
A_b = 1000*(1000^2); % ared of the basin in meters 

%%% Climate and basin infiltration %%%%%%
Precip = .1; %m/yr     modern = .1

Evap = 2.5; %m/yr       modern = 2.5

b = .5; %ratio

% z_L = 0;
V =0;
H=0;
r_L = 0;

dt = 1;
t = 0:dt:249;


V_save = zeros(length(1:length(t)),1);
H_save = zeros(length(1:length(t)),1);
A_save = zeros(length(1:length(t)),1);

for i= 1:length(t)
    
    
    
    dvdt = b*(A_b - pi*r_L)*Precip + pi*r_L*Precip - pi*r_L *Evap;
    
    V = V + dvdt*dt;
    
    H = (3*V/(pi*(tand(90-alpha))^2))^(1/3);
    
    r_L = ((H)*tand(90-alpha))^2;
    
    A = pi*r_L;
    
   if rem(i,1)== 0 
   V_save(i) = V/(1000^3); 
   H_save(i) = H;
   A_save(i) = A/(1000^2);
   end
end

efold = (1-(1/exp(1)));

figure (1)
subplot(3,1,1)
plot(0:length(V_save)-1,V_save,'LineWidth',1.5)
hold on 
V_spot = 30.6;
plot(0:.01:V_spot,max(V_save)*efold)
hold on 
set(gca,'FontSize', 14)
plot(V_spot, 0:.01:max(V_save)*efold)
set(gca,'FontSize', 14)
xlabel('time (yrs)')
ylabel('Volume (km^3)')
set(gca,'FontSize', 14)
set(gca,'XTick',10:10:250)

subplot(3,1,2)
plot(0:length(A_save)-1,A_save,'LineWidth',1.5)
hold on 
A_spot = 20.5;
plot(0:.01:A_spot,max(A_save)*efold)
hold on 
plot(A_spot, 0:.01:max(A_save)*efold)
set(gca,'FontSize', 14)
xlabel('time (yrs)')
ylabel('Area (km^2)')
set(gca,'FontSize', 14)
set(gca,'XTick',10:10:250)

subplot(3,1,3)
plot(0:length(H_save)-01,H_save,'LineWidth',1.5)
hold on 
H_spot = 8;
plot(0:.01:H_spot,max(H_save)*efold)
hold on 
plot(H_spot, 0:.01:max(H_save)*efold)
set(gca,'FontSize', 14)
xlabel('time (yrs)')
ylabel('Maximum thickness (m)')
set(gca,'FontSize', 14)
set(gca,'XTick',10:10:250)
    